%This M-Function was created automatically by PSG Toolbox.
%See section "Special Subroutines in Toolbox -> User Subroutine in Toolbox" in PSG Help Manual.
%
%Input variables:
%
%Inputs                                                     PSG Type    PSG Object                                       Location in Problem Statement                                                         Class
%matrix_style_classification_fidelity_magellan_benchmark    bench       matrix_style_classification_fidelity_magellan    meanabs_pen(ltranche(matrix_style_classification_fidelity_magellan,vector_tstyle))    double
%                                                                                                                        meanabs_pen(matrix_style_classification_fidelity_magellan)
%                                                                                                                        meansquare(ltranche(matrix_style_classification_fidelity_magellan,vector_tstyle))
%matrix_style_classification_fidelity_magellan_data         data        matrix_style_classification_fidelity_magellan    meanabs_pen(ltranche(matrix_style_classification_fidelity_magellan,vector_tstyle))    double
%                                                                                                                        meanabs_pen(matrix_style_classification_fidelity_magellan)
%                                                                                                                        meansquare(ltranche(matrix_style_classification_fidelity_magellan,vector_tstyle))
%matrix_style_classification_fidelity_magellan_vars         vars        matrix_style_classification_fidelity_magellan    meanabs_pen(ltranche(matrix_style_classification_fidelity_magellan,vector_tstyle))    cell
%                                                                                                                        meanabs_pen(matrix_style_classification_fidelity_magellan)
%                                                                                                                        meansquare(ltranche(matrix_style_classification_fidelity_magellan,vector_tstyle))
%vector_tstyle_data                                         data        vector_tstyle                                    meanabs_pen(ltranche(matrix_style_classification_fidelity_magellan,vector_tstyle))    double
%                                                                                                                        meansquare(ltranche(matrix_style_classification_fidelity_magellan,vector_tstyle))
%parameter_bound_data                                       data        parameter_bound                                  box: >=parameter_bound, <= parameter_bound_1                                          double
%parameter_bound_1_data                                     data        parameter_bound_1                                box: >=parameter_bound, <= parameter_bound_1                                          double
%parameter_solver_data                                      data        parameter_solver                                 solver: parameter_solver                                                              char
%
%Output variables:
%
%solution_str = string with solution of problem;
%outargstruc_arr = array of output PSG data structures;


function [solution_str,outargstruc_arr] = Optimization_subroutine(matrix_style_classification_fidelity_magellan_benchmark,matrix_style_classification_fidelity_magellan_data,matrix_style_classification_fidelity_magellan_vars,vector_tstyle_data,parameter_bound_data,parameter_bound_1_data,parameter_solver_data)

%Pack data to PSG structure:
count = 0;
count = count+1;
iargstruc_arr(count) = matrix_pack('matrix_style_classification_fidelity_magellan',matrix_style_classification_fidelity_magellan_data,matrix_style_classification_fidelity_magellan_vars,matrix_style_classification_fidelity_magellan_benchmark,[]);
count = count+1;
iargstruc_arr(count) = vector_pack('vector_tstyle',vector_tstyle_data);
%Define problem statement:
problem_statement = sprintf('%s\n',...
'minimize',...
'  meanabs_pen(ltranche(matrix_style_classification_fidelity_magellan,vector_tstyle))',...
'box: >=parameter_bound, <= parameter_bound_1',...
'solver: parameter_solver',...
'',...
'value:',...
'  meanabs_pen(matrix_style_classification_fidelity_magellan)',...
'  meansquare(ltranche(matrix_style_classification_fidelity_magellan,vector_tstyle))',...
' ');
%Change parameters with their values in problem statement:
problem_statement = strrep(problem_statement,'parameter_bound_1',num2str(parameter_bound_1_data));
problem_statement = strrep(problem_statement,'parameter_solver',parameter_solver_data);
problem_statement = strrep(problem_statement,'parameter_bound',num2str(parameter_bound_data));

%Optimize problem using mpsg_solver function:
[solution_str, outargstruc_arr] = mpsg_solver(problem_statement, iargstruc_arr);
results = psg_convert_outargstruc(solution_str,outargstruc_arr);
outargstruc_arr = results.data;
solution_str = results.string;

%=======================================================================|
%American Optimal Decisions, Inc. Copyright                             |
%Copyright American Optimal Decisions, Inc. 2007-2016.                 |
%American Optimal Decisions (AOD) retains copyrights to this material.  |
%                                                                       |
%Permission to reproduce this document and to prepare derivative works  |
%from this document for internal use is granted, provided the copyright |
%and No Warranty  statements are included with all reproductions       |
%and derivative works.                                                  |
%                                                                       |
%For information regarding external or commercial use of copyrighted    |
%materials owned by AOD, contact AOD at support@aorda.com.              |
%=======================================================================|
 

